Bug 858288 - SELinux is preventing /usr/lib64/thunderbird/thunderbird from 'name_connect' accesses on the tcp_socket .
SELinux is preventing /usr/lib64/thunderbird/thunderbird from 'name_connect' ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:ae82499860cba0960430d249a01...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-18 11:02 EDT by Jeffrey S Austin
Modified: 2012-10-17 04:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-17 04:02:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-09-18 11:02 EDT, Jeffrey S Austin
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-09-18 11:02 EDT, Jeffrey S Austin
no flags Details

  None (edit)
Description Jeffrey S Austin 2012-09-18 11:02:20 EDT
Additional info:
libreport version: 2.0.13
kernel:         3.5.3-1.fc17.x86_64.debug

description:
:SELinux is preventing /usr/lib64/thunderbird/thunderbird from 'name_connect' accesses on the tcp_socket .
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that thunderbird should be allowed name_connect access on the  tcp_socket by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep thunderbird /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                system_u:object_r:pop_port_t:s0
:Target Objects                 [ tcp_socket ]
:Source                        thunderbird
:Source Path                   /usr/lib64/thunderbird/thunderbird
:Port                          993
:Host                          (removed)
:Source RPM Packages           thunderbird-15.0-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-146.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.5.3-1.fc17.x86_64.debug #1 SMP
:                              Wed Aug 29 18:23:34 UTC 2012 x86_64 x86_64
:Alert Count                   3
:First Seen                    2012-09-03 22:05:16 EDT
:Last Seen                     2012-09-03 22:10:24 EDT
:Local ID                      54dd55c6-5b49-46b1-9b13-6c17245b4961
:
:Raw Audit Messages
:type=AVC msg=audit(1346724624.388:165): avc:  denied  { name_connect } for  pid=4299 comm="thunderbird" dest=993 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:pop_port_t:s0 tclass=tcp_socket
:
:
:type=SYSCALL msg=audit(1346724624.388:165): arch=x86_64 syscall=connect success=no exit=EACCES a0=2e a1=7f5aa8b03428 a2=10 a3=7f5aabffeaec items=0 ppid=1 pid=4299 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=thunderbird exe=/usr/lib64/thunderbird/thunderbird subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: thunderbird,mozilla_plugin_t,pop_port_t,tcp_socket,name_connect
:
:audit2allow
:
:#============= mozilla_plugin_t ==============
:#!!!! This avc can be allowed using the boolean 'allow_ypbind'
:
:allow mozilla_plugin_t pop_port_t:tcp_socket name_connect;
:
:audit2allow -R
:
:#============= mozilla_plugin_t ==============
:#!!!! This avc can be allowed using the boolean 'allow_ypbind'
:
:allow mozilla_plugin_t pop_port_t:tcp_socket name_connect;
:
Comment 1 Jeffrey S Austin 2012-09-18 11:02:24 EDT
Created attachment 614041 [details]
File: type
Comment 2 Jeffrey S Austin 2012-09-18 11:02:26 EDT
Created attachment 614042 [details]
File: hashmarkername
Comment 3 Daniel Walsh 2012-09-18 11:37:18 EDT
Are you running thunderbird as a plugin within firefox?
Comment 4 Daniel Walsh 2012-09-20 05:36:03 EDT
Ok this is a mozplugger issue, I am adding a new setroubleshoot plugin:

SELinux is preventing thunderbird from name_connect access on the tcp_socket .

*****  Plugin mozplugger (50.5 confidence) suggests  *************************

If you want to use mozplugger package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool unconfined_mozilla_plugin_transition 0

*****  Plugin mozplugger_remove (50.0 confidence) suggests  ******************

If you want to to continue using SELinux Firefox plugin containment rather then using mozplugger package
Then you must remove the mozplugger package.
Do
# yum remove mozplugger

*****  Plugin catchall (1.0 confidence) suggests  ****************************

If you believe that thunderbird should be allowed name_connect access on the  tcp_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep thunderbird /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp


Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                system_u:object_r:pop_port_t:s0
Target Objects                 [ tcp_socket ]
Source                        thunderbird
Source Path                   thunderbird
Port                          993
Host                          <Unknown>
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-22.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     celtics
Platform                      Linux celtics 3.6.0-0.rc4.git2.1.fc18.x86_64 #1
                              SMP Fri Sep 7 12:36:02 UTC 2012 x86_64 x86_64
Alert Count                   1
First Seen                    2012-09-03 22:10:24 EDT
Last Seen                     2012-09-03 22:10:24 EDT
Local ID                      32bd5ff8-b796-47d6-8abc-a6524504cc93

Raw Audit Messages
type=AVC msg=audit(1346724624.388:165): avc:  denied  { name_connect } for  pid=4299 comm="thunderbird" dest=993 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:pop_port_t:s0 tclass=tcp_socket   


Hash: thunderbird,mozilla_plugin_t,pop_port_t,tcp_socket,name_connect

audit2allow

#============= mozilla_plugin_t ==============
#!!!! This avc can be allowed using the boolean 'nis_enabled'

allow mozilla_plugin_t pop_port_t:tcp_socket name_connect;

audit2allow -R

#============= mozilla_plugin_t ==============
#!!!! This avc can be allowed using the boolean 'nis_enabled'

allow mozilla_plugin_t pop_port_t:tcp_socket name_connect;

Note You need to log in before you can comment on or make changes to this bug.